Bug 452658 - (CVE-2008-3107) CVE-2008-3107 JDK untrusted applet/application privilege escalation (6661918)
CVE-2008-3107 JDK untrusted applet/application privilege escalation (6661918)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=sun,public=20080708,reported=2...
: Security
Depends On: 454628 454632 454633
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 08:04 EDT by Marc Schoenefeld
Modified: 2010-12-23 16:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 16:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-06-24 08:04:48 EDT
From Sun pre-notification, 6/23/2008

A vulnerability in the Java Runtime Environment Virtual Machine may allow an 
untrusted applet or application to elevate its privileges. For example, an 
applet may grant itself permissions to read and write local files or execute 
local applications that are accessible to the user running the untrusted applet.
Comment 5 Fedora Update System 2008-07-09 15:17:09 EDT
java-1.6.0-openjdk-1.6.0.0-0.16.b09.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-09 17:46:45 EDT
java-1.7.0-icedtea-1.7.0.0-0.20.b21.snapshot.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-07-15 08:13:20 EDT
java-1.6.0-openjdk-1.6.0.0-0.16.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Vincent Danen 2010-12-23 16:33:24 EST
This was addressed via:

RHEL Supplementary version 5 (java-1.6.0-sun) RHSA-2008:0594
Red Hat Enterprise Linux version 4 Extras (java-1.5.0-sun) RHSA-2008:0595
RHEL Supplementary version 5 (java-1.5.0-sun) RHSA-2008:0595
Red Hat Network Satellite Server 5.1 (RHEL v.4 AS) (java-1.5.0-sun)	RHSA-2008:0636

Note You need to log in before you can comment on or make changes to this bug.